#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x2b26642b, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x793e317d, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xa55f3e7e, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x40a497ef, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x13f07120, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x8447314b, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x5e686f35, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x6c62acae, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x47a84053, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xa238b7d8, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xe1fe0a05, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x92215873, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xf50ccc96, "_gpl");
SYMBOL_CRC(usbnet_open, 0xdc57bfbf, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xcbd38a66, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x75193475, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x74b4d86d, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x8eb55e41, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x07a7b78d, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xdd8a64ce, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x49d9dddc, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x66d449a6, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x8a4468a4, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x2c41dbf4, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xf9cc26cf, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x466a921f, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x003107fb, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xaab760ed, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xe2c9b7ef, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x2f5f3ae9, "");
SYMBOL_CRC(usbnet_manage_power, 0xbc77661e, "");
SYMBOL_CRC(usbnet_link_change, 0xfa6cfde0, "");
SYMBOL_CRC(usbnet_read_cmd, 0x0b2141cd, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x4fd61b57, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xdfd49711, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x527ff02a, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x9ce7d207, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7bf30474, "usb_set_interface" },
	{ 0x5ffd5f95, "usb_string" },
	{ 0x661b2259, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xeb5e8453, "skb_defer_rx_timestamp" },
	{ 0x6a9f4ffe, "netif_rx" },
	{ 0xfa0e55ec, "eth_type_trans" },
	{ 0x37856238, "skb_queue_tail" },
	{ 0x3b3839c6, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4d7d37b2, "skb_queue_purge_reason" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0x700a643b, "usb_get_urb" },
	{ 0x676a8938, "usb_unlink_urb" },
	{ 0x3bc92b10, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeeab1a9e, "usb_submit_urb" },
	{ 0x67a751c8, "netdev_err" },
	{ 0x28af193c, "mii_ethtool_get_link_ksettings" },
	{ 0xbeddca93, "mii_ethtool_set_link_ksettings" },
	{ 0xafe68e6, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x1114a35c, "unregister_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x565144cc, "usb_scuttle_anchored_urbs" },
	{ 0xfdc64587, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe27fb2e3, "free_netdev" },
	{ 0xfbf3094, "netdev_info" },
	{ 0x10ebbeed, "netif_carrier_on" },
	{ 0xa368858b, "netif_carrier_off" },
	{ 0x4bb1153, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x94190fa8, "usb_autopm_get_interface" },
	{ 0xc190f047, "usb_autopm_put_interface" },
	{ 0x3e3abfaf, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0x8ce6aa40, "mii_link_ok" },
	{ 0x11f7261d, "ethtool_op_get_link" },
	{ 0x286ac1c8, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7379ec6e, "skb_clone_tx_timestamp" },
	{ 0xff3abaf9, "usb_autopm_get_interface_async" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb0465219, "dev_kfree_skb_any_reason" },
	{ 0x2eae4ec6, "skb_tstamp_tx" },
	{ 0x2cdfed7a, "usb_anchor_urb" },
	{ 0xba7e5540, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7d632c29, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x34aa8aa, "remove_wait_queue" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7f04ca6d, "netif_device_detach" },
	{ 0x6bb51fbf, "netif_device_attach" },
	{ 0x5f29138d, "skb_dequeue" },
	{ 0x96fea80c, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x221f2d98, "__init_waitqueue_head" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6d6b94db, "__mutex_rt_init" },
	{ 0xf150db71, "register_netdev" },
	{ 0xaa1fe4c3, "pm_runtime_enable" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x1c6597c5, "__netdev_alloc_skb" },
	{ 0x9d720e77, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x79ea262b, "__wake_up" },
	{ 0xb9a7c967, "netif_tx_wake_queue" },
	{ 0xede2cf14, "usb_get_from_anchor" },
	{ 0xa1d8c1e, "usb_autopm_get_interface_no_resume" },
	{ 0x9c8bc55b, "skb_put" },
	{ 0x44eb3b62, "usb_clear_halt" },
	{ 0x91b0eaf3, "eth_mac_addr" },
	{ 0x5db2eac3, "eth_validate_addr" },
	{ 0x9901e8c7, "dev_get_tstats64" },
	{ 0xc6ca371b, "ethtool_op_get_ts_info" },
	{ 0xdca0402a, "param_ops_int" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DBC0ECB9F946659D3D59822");
MODULE_INFO(rhelversion, "9.6");
