#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0x68e0fbae, "");
SYMBOL_CRC(ptp_clock_unregister, 0x9ab42787, "");
SYMBOL_CRC(ptp_clock_event, 0x72e55371, "");
SYMBOL_CRC(ptp_clock_index, 0x65017d3b, "");
SYMBOL_CRC(ptp_find_pin, 0xd0a42d31, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0x702fdf4e, "");
SYMBOL_CRC(ptp_schedule_worker, 0xa8c85658, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0x64629637, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb033f548, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x251bf92f, "kthread_create_worker" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x680466b, "kthread_cancel_delayed_work_sync" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd35aee95, "dev_set_name" },
	{ 0x2903010c, "kthread_delayed_work_timer_fn" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0xc3f57518, "pps_register_source" },
	{ 0x5c6eed53, "finish_wait" },
	{ 0x56390eb1, "class_destroy" },
	{ 0xc08d39ef, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x55cd79fa, "device_for_each_child" },
	{ 0x592ecfd1, "prepare_to_wait_event" },
	{ 0x79ea262b, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9bafe130, "put_device" },
	{ 0x891a2e5b, "device_for_each_child_reverse" },
	{ 0x995b1c9b, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd009084, "kthread_mod_delayed_work" },
	{ 0x9fc3d659, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x145bf7db, "class_create" },
	{ 0x7a528f66, "pps_event" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdf80f680, "mutex_lock_interruptible" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x221f2d98, "__init_waitqueue_head" },
	{ 0xd3688fe3, "pps_unregister_source" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3723abeb, "kthread_destroy_worker" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0x92596e, "posix_clock_register" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf47c36e, "kthread_queue_delayed_work" },
	{ 0x4cb27100, "ktime_get_snapshot" },
	{ 0xf7c2e425, "posix_clock_unregister" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0x6d6b94db, "__mutex_rt_init" },
	{ 0x862258db, "timecounter_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "7E217A13F3F3600A3AD6CE4");
MODULE_INFO(rhelversion, "9.6");
