#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x25001585, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x9a30d724, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x6c64cd4f, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xe97bc130, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x2abe9f16, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x62433bd0, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x81c690b4, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x1537e9e8, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x000ea400, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x11995575, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x711ba9ac, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xc1f4e741, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x28f45278, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x4654df35, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x0f6eb7df, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x0f1d92c9, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x28c09b1a, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0xa39c05c9, "");
SYMBOL_CRC(vhost_chr_poll, 0xc6194eb1, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x059349ec, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xf6e20961, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xf8491010, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x8b7560c6, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x1c1e2676, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0xd8e8070a, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x566af302, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x8488bf34, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x7048cda3, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x8d185cf4, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x9bc57716, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xc274d767, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x192f3b3e, "_gpl");
SYMBOL_CRC(vhost_signal, 0x5830736c, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x55bcae13, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x5882c6cb, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x6b4ce845, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x8adc5dea, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x3dc2f3c2, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0xe817691a, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x58a73b40, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x3e8d33ba, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x63a95593, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba7e5540, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7d632c29, "add_wait_queue" },
	{ 0x34aa8aa, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xfb7df698, "cgroup_attach_task_all" },
	{ 0x8174323e, "mmput" },
	{ 0x54b17956, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0x79ea262b, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x4c949438, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc33121e, "unpin_user_pages_dirty_lock" },
	{ 0xe0e6897e, "pin_user_pages_fast" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf9deef61, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1000e51, "schedule" },
	{ 0x104fad85, "kthread_unuse_mm" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x14ed656d, "fput" },
	{ 0xdc8c4ca4, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0xe16a8291, "iov_iter_init" },
	{ 0xf37a89f0, "_copy_from_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa2e906b4, "iov_iter_revert" },
	{ 0xecdcabd2, "copy_user_generic_unrolled" },
	{ 0x1f199d24, "copy_user_generic_string" },
	{ 0x21271fd0, "copy_user_enhanced_fast_string" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7458872e, "_copy_to_iter" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0x6d6b94db, "__mutex_rt_init" },
	{ 0x221f2d98, "__init_waitqueue_head" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6c44fd09, "prepare_to_wait" },
	{ 0x5c6eed53, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7c039f6f, "get_task_mm" },
	{ 0xa3afcaf, "kthread_create_on_node" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xba666e6, "iov_iter_advance" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x562dc327, "eventfd_fget" },
	{ 0xdca0402a, "param_ops_int" },
	{ 0xb22d0306, "param_ops_ushort" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.6");
