#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xdb7314c1, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x8c2e9288, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xa69c0ac8, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x3482cfab, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x3f116778, "_gpl");
SYMBOL_CRC(br_forward, 0x9a8dacfc, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xf9a3cf86, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x212c10ef, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xc9e702b9, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x3aa6e5e8, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x9cdecf6c, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x012adc29, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x086fb25a, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x20b68907, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xe15559b1, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xda253431, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x4a6217c3, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xbd5e4259, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xd09dd19e, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x6bbf8a4c, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x9455dce3, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xb9950510, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x16e5943f, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xfce102ee, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x064d3097, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3a2fed5, "netdev_lower_get_next" },
	{ 0xd0a204b8, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x64278737, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x69342a33, "skb_copy_bits" },
	{ 0xc3d90da0, "__nlmsg_put" },
	{ 0x86404477, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6913739, "ipv6_mc_check_mld" },
	{ 0x9c8bc55b, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7ceb6295, "call_switchdev_notifiers" },
	{ 0x395c32bd, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xee5149d, "netdev_update_features" },
	{ 0x9d720e77, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x66b5d12c, "dev_uc_del" },
	{ 0x893ceee1, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x8a95d714, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5579065d, "switchdev_port_obj_act_is_deferred" },
	{ 0x297972ef, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x1da80297, "dev_set_promiscuity" },
	{ 0xba7e5540, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x86e660c3, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x36b7ad9e, "unregister_netdevice_queue" },
	{ 0x7d1494b8, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x237ab980, "netdev_state_change" },
	{ 0x4214d7e6, "__dev_get_by_name" },
	{ 0x73c4db0, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x67a751c8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x761337bf, "pskb_expand_head" },
	{ 0xb4674159, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x3320c0fb, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xd477cecc, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8659a79a, "alloc_netdev_mqs" },
	{ 0x7d05065b, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x37202d, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4c6e9bf8, "__SCK__tp_func_br_mdb_full" },
	{ 0xf36662ba, "rtnl_af_register" },
	{ 0xd68801d5, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xec864f07, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x76e51bf0, "kmem_cache_alloc" },
	{ 0x3709b0d3, "rtnl_set_sk_err" },
	{ 0x1050b166, "skb_vlan_pop" },
	{ 0xd8f258e4, "rtnl_unicast" },
	{ 0x67b12af6, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd284c35f, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0x361812f1, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x35d8f474, "__dev_get_by_index" },
	{ 0x84cb216c, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x8fa0b00f, "dev_get_port_parent_id" },
	{ 0xa40a60cc, "init_net" },
	{ 0x46681c45, "ipv6_stub" },
	{ 0x639c3e45, "inet_confirm_addr" },
	{ 0xf4a641a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x679891c8, "sysfs_remove_link" },
	{ 0x56d3308d, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x620bbc3c, "__SCK__tp_func_br_fdb_add" },
	{ 0x9b7478, "rtnl_af_unregister" },
	{ 0x65069ade, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x36d4837e, "arp_send" },
	{ 0xf7777985, "dev_get_by_index_rcu" },
	{ 0x3b2227bd, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x5fdcc5e1, "skb_push" },
	{ 0x73e97d83, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xdb06815d, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x2cce5205, "netdev_upper_dev_unlink" },
	{ 0x794cb97b, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5bf59de5, "llc_mac_hdr_init" },
	{ 0xe27fb2e3, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xcc45a64a, "__SCK__tp_func_fdb_delete" },
	{ 0xd69d3821, "kobject_init_and_add" },
	{ 0xb92a15a9, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x130a01ff, "ns_capable" },
	{ 0x94fccfa5, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8ccb9dcc, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x11f7261d, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x34863060, "arp_create" },
	{ 0x14480ee0, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcdcb82ad, "stp_proto_register" },
	{ 0x3c03a70d, "rtnl_register_module" },
	{ 0x6500ff45, "__tracepoint_br_fdb_update" },
	{ 0x8679d60a, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x33db32d5, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1339c74c, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9255d6cd, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4eced4ec, "__pskb_pull_tail" },
	{ 0x9901e8c7, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x6a9f4ffe, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf67fbecf, "ip_mc_check_igmp" },
	{ 0x1c6597c5, "__netdev_alloc_skb" },
	{ 0xbacced35, "rhashtable_destroy" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0xb3c8e32d, "switchdev_port_obj_del" },
	{ 0xec9f90c4, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf5192b, "kobject_create_and_add" },
	{ 0x9fd15d78, "skb_trim" },
	{ 0xfb650d29, "nf_hook_slow" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3b3839c6, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x578bce9c, "__ip_mc_inc_group" },
	{ 0xa0092eaa, "netdev_walk_all_upper_dev_rcu" },
	{ 0xf2a4a77b, "sysfs_remove_group" },
	{ 0x6e5a05a1, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x22c68f22, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x956c3dcb, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9b4fadfa, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd0a82b4b, "vlan_vid_add" },
	{ 0x98968d77, "neigh_destroy" },
	{ 0x17f1b49b, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x652b030b, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x55f04516, "__SCK__tp_func_br_fdb_update" },
	{ 0xe96f5921, "call_netdevice_notifiers" },
	{ 0x8d089052, "is_skb_forwardable" },
	{ 0x88674619, "vlan_vid_del" },
	{ 0xcc1a3f1a, "dev_set_allmulti" },
	{ 0xdcf5dc73, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfeed58a7, "netdev_master_upper_dev_get" },
	{ 0x5f846021, "ipv6_dev_mc_inc" },
	{ 0x4e494848, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa368858b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa77d8945, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa31427b, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd5802378, "skb_clone" },
	{ 0xdf4d562b, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x3230edef, "metadata_dst_alloc" },
	{ 0xf77cc49c, "dst_release" },
	{ 0x10ebbeed, "netif_carrier_on" },
	{ 0x74af8eff, "kobject_uevent" },
	{ 0x69026da7, "arp_tbl" },
	{ 0x47bc8780, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc143ed69, "netdev_rx_handler_register" },
	{ 0xcd6dbea9, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xecb569ee, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4abf1a32, "dev_disable_lro" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0x267e7518, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb9c4559b, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xb0465219, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x74c7eac9, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xe7b62cd, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xf8a18cf6, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x1afd4387, "skb_ext_add" },
	{ 0xd7a7d036, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x9768d00f, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0x1340b373, "neigh_lookup" },
	{ 0xbdcdeb60, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3c521aeb, "kobject_put" },
	{ 0xd565e380, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "845449CDD8402248DD2CF1E");
MODULE_INFO(rhelversion, "9.6");
