#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_wake_queue, "", "");
KSYMTAB_FUNC(ieee802154_stop_queue, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x52d2b30f, "");
SYMBOL_CRC(ieee802154_free_hw, 0xf450e8d3, "");
SYMBOL_CRC(ieee802154_register_hw, 0xa75a44a0, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0xd2b6a2b9, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x66fb7a24, "");
SYMBOL_CRC(ieee802154_wake_queue, 0x898eee33, "");
SYMBOL_CRC(ieee802154_stop_queue, 0x169598f5, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xbb0d40b3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca7d0299, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe1dd2cd8, "bpf_trace_run4" },
	{ 0x9c8bc55b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9d720e77, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x454726, "trace_raw_output_prep" },
	{ 0x5f29138d, "skb_dequeue" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0xd1dc3673, "trace_event_printf" },
	{ 0x8a49ce7f, "hrtimer_init" },
	{ 0xb40f8129, "dev_alloc_name" },
	{ 0x342c96bb, "trace_event_raw_init" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xba7e5540, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8c8d7867, "crypto_alloc_aead" },
	{ 0x41045629, "bpf_trace_run2" },
	{ 0x757f4d9f, "netdev_warn" },
	{ 0x84832d7e, "crypto_aead_setauthsize" },
	{ 0xc6197ec4, "crypto_aead_decrypt" },
	{ 0xaacba7f7, "event_triggers_call" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xcd994996, "crypto_skcipher_setkey" },
	{ 0x36b7ad9e, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x47fc4baa, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8ed00348, "wpan_phy_unregister" },
	{ 0xa50fbb77, "trace_event_buffer_commit" },
	{ 0xd88c2e3f, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8659a79a, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe9ee6e55, "trace_event_ignore_this_pid" },
	{ 0x92d8017b, "crypto_skcipher_decrypt" },
	{ 0xa4003254, "rt_write_unlock" },
	{ 0x888d47ce, "skb_copy_expand" },
	{ 0x37856238, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x92c408ae, "crypto_aead_setkey" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x66d064c5, "perf_trace_run_bpf_submit" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x25fc902e, "wpan_phy_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1e25de42, "crypto_aead_encrypt" },
	{ 0x65069ade, "sk_skb_reason_drop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0x5fdcc5e1, "skb_push" },
	{ 0xa04b7953, "ieee802154_hdr_peek" },
	{ 0x31e4801, "wpan_phy_free" },
	{ 0x794cb97b, "netif_receive_skb" },
	{ 0xf5307f12, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xe27fb2e3, "free_netdev" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa8e94277, "bpf_trace_run1" },
	{ 0xb9a7c967, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5bf8ca20, "_dev_warn" },
	{ 0x100e1ec9, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda25f2c3, "ieee802154_hdr_pull" },
	{ 0x74cf16ae, "crypto_alloc_sync_skcipher" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0x9fd15d78, "skb_trim" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3b3839c6, "__dynamic_netdev_dbg" },
	{ 0x22adcebf, "bpf_trace_run3" },
	{ 0x3114acfe, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5040480, "trace_event_buffer_reserve" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0x982a86ec, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd7e0f784, "wpan_phy_new" },
	{ 0xd5802378, "skb_clone" },
	{ 0xb8b41087, "rt_write_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd9041f6a, "hrtimer_cancel" },
	{ 0x6603335a, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xb0465219, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6d6b94db, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd565e380, "register_netdevice" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "140396463CF883F90E7FB4B");
MODULE_INFO(rhelversion, "9.6");
