#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xf9e91b51, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x11e51b21, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x28fc700f, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x93d15e58, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x2a51c019, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x212dae1c, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xe687fafe, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x2581c00a, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x0f720455, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xe933da83, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x847ee8cd, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x6d315d2f, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xf51089a9, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x1871b81c, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x3f5f4c80, "");
SYMBOL_CRC(nf_nat_follow_master, 0xf1418cfe, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x2364f62a, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x7a2f6235, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x19f9ff75, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x2fd0ee6e, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x20d1dc10, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d6eea9a, "nf_ct_ext_add" },
	{ 0x3f6fdb06, "__do_once_done" },
	{ 0x69c91665, "nf_conntrack_find_get" },
	{ 0x52cff727, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbfedd8dc, "nf_ip6_checksum" },
	{ 0x69342a33, "skb_copy_bits" },
	{ 0x54627439, "nf_hook_entries_insert_raw" },
	{ 0xb35c39c2, "xfrm_lookup" },
	{ 0x5713c180, "nf_ct_seqadj_set" },
	{ 0x9c8bc55b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xadc69abe, "nf_ct_helper_expectfn_unregister" },
	{ 0xf4ee7764, "__xfrm_decode_session" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x891145de, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x761337bf, "pskb_expand_head" },
	{ 0xb4674159, "register_pernet_subsys" },
	{ 0xa9917069, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x41a85012, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54593ab1, "ipv6_skip_exthdr" },
	{ 0xdb0d3925, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x3d8ea20, "nf_ipv6_ops" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40f220f6, "module_put" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa042e643, "nf_conntrack_alter_reply" },
	{ 0xf8688817, "ip_route_me_harder" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0x56acdab6, "nf_hook_entries_delete_raw" },
	{ 0x9905d270, "skb_ensure_writable" },
	{ 0x6fe9b221, "nf_unregister_net_hooks" },
	{ 0x94fccfa5, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x33db32d5, "unregister_pernet_subsys" },
	{ 0xa41b573, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaa5f5ad5, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbf612513, "nf_ip_checksum" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0xec6081f3, "register_btf_kfunc_id_set" },
	{ 0x8ad0bef3, "nf_ct_iterate_destroy" },
	{ 0x1b09cfdb, "inet_proto_csum_replace16" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2f74384c, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3114acfe, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcdb27eef, "__skb_checksum" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0xc5a5368c, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x982a86ec, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xf77cc49c, "dst_release" },
	{ 0x96159f9b, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xfa8f4f0e, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "2CFEB6890DB12EDE142B41A");
MODULE_INFO(rhelversion, "9.6");
