#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_asp1_regs_for_driver_control, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0xd534c8b5, "_gpl");
SYMBOL_CRC(cs35l56_init_asp1_regs_for_driver_control, 0x91511da3, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0x842e0afa, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0xd4fc9920, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0xdf18ac5b, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x51bbb2cb, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xd448d4a5, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0xd75a7c52, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0xc8f1f98f, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x2241f610, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0xd071d50e, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0xf4728bb2, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x33b2b5f7, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x75b080ab, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x3757c4b0, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xa9f5f6c6, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x4c890961, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0xfadc0fbe, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x35b23bcd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc03f6823, "gpiod_get_value_cansleep" },
	{ 0x6a08122c, "regcache_cache_only" },
	{ 0xb403ce3a, "regcache_sync" },
	{ 0xa17fb439, "regmap_write" },
	{ 0xf1e7563c, "devm_request_threaded_irq" },
	{ 0x10c541f4, "cs_amp_get_efi_calibration_data" },
	{ 0x87ff7500, "regmap_raw_read" },
	{ 0xfaff1503, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x661b2259, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf41270f4, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x995b1c9b, "_dev_info" },
	{ 0x3a84b69d, "regmap_multi_reg_write_bypassed" },
	{ 0x9fc3d659, "_dev_err" },
	{ 0x63ce2b4b, "gpiod_put_array" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0x5bf8ca20, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5761761c, "regmap_read_bypassed" },
	{ 0xbdf71884, "regmap_read" },
	{ 0xd7c77889, "__pm_runtime_resume" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x19d29416, "_dev_crit" },
	{ 0x1c502d48, "regmap_update_bits_base" },
	{ 0xd6a96753, "dev_err_probe" },
	{ 0xe546378a, "regmap_multi_reg_write" },
	{ 0xc9bd1a55, "__pm_runtime_suspend" },
	{ 0xef77cd07, "regmap_register_patch" },
	{ 0xd98176d5, "__pm_runtime_idle" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "DBF5D0052A0080AA8B0B432");
MODULE_INFO(rhelversion, "9.6");
