#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0xbf7bea70, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xe0782608, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x3b2eafd6, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xd5be723a, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x4ea992ce, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xdba31331, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x245dc640, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xf28c590e, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xbf0ebb8f, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x179a9088, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xe2497de4, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x5bfb0556, "_gpl");
SYMBOL_CRC(mhi_notify, 0xc83b1939, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x5b797d11, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x786951cd, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xb96937bc, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x5303a354, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x7ea6ac7e, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x471621dd, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xd88e7cdc, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x5d4ac4c2, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x35343f95, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xeeb62b83, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x390b83ac, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xb2abe401, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x2a1292cc, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xa81d7b32, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x052f1c79, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x851c4353, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x9c148c11, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x289cc856, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x64071c06, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x51191e78, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe1dd2cd8, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd35aee95, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x454726, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0x5c6eed53, "finish_wait" },
	{ 0xcc5f5e48, "dma_unmap_page_attrs" },
	{ 0x320fa0c, "request_firmware" },
	{ 0xd1dc3673, "trace_event_printf" },
	{ 0xc08d39ef, "device_initialize" },
	{ 0x342c96bb, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xba7e5540, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x55cd79fa, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x41045629, "bpf_trace_run2" },
	{ 0x592ecfd1, "prepare_to_wait_event" },
	{ 0x79ea262b, "__wake_up" },
	{ 0xaacba7f7, "event_triggers_call" },
	{ 0x6923e741, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x661b2259, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbe03aec8, "dev_driver_string" },
	{ 0xa50fbb77, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd864b243, "dma_map_page_attrs" },
	{ 0x61f9cbb, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9bafe130, "put_device" },
	{ 0xe9ee6e55, "trace_event_ignore_this_pid" },
	{ 0xa4003254, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x995b1c9b, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x66d064c5, "perf_trace_run_bpf_submit" },
	{ 0x3bf78f09, "bus_unregister" },
	{ 0x9fc3d659, "_dev_err" },
	{ 0x8b880c91, "device_wakeup_enable" },
	{ 0xa442607d, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0x9446f043, "dma_alloc_attrs" },
	{ 0xf5307f12, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xaf780e2d, "ida_free" },
	{ 0xb8961a80, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cd647d9, "device_del" },
	{ 0x5bf8ca20, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x221f2d98, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0x22adcebf, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3114acfe, "rt_read_lock" },
	{ 0xe1480537, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x5040480, "trace_event_buffer_reserve" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x982a86ec, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb8b41087, "rt_write_lock" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7f2d2b45, "driver_register" },
	{ 0x6d6b94db, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0x5e0ff07c, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8615C9DE2D5B950726F5A5C");
MODULE_INFO(rhelversion, "9.6");
