#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xcd85a817, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xcf3b7322, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xd3ececf5, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x7a50f9e4, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xd0e28aec, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0xd4630bd7, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x13ebdf2d, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x1d469da1, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x181127ab, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x8b9b0077, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xed8f1e98, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x558a4237, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x275e85f0, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xe3f3375a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xba6fd0ba, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x2ed0401a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xb7859e21, "vmf_insert_pfn" },
	{ 0xc96ffe02, "ww_mutex_lock_interruptible" },
	{ 0x38209a0f, "drm_gem_get_pages" },
	{ 0xe9677a9d, "dma_buf_vmap" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x56d9448e, "invalidate_mapping_pages" },
	{ 0xf4f002b0, "ww_mutex_unlock" },
	{ 0x328d77de, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x456b162d, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xc991ba27, "drm_gem_create_mmap_offset" },
	{ 0xb755f95a, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbe03aec8, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeb79c15, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe882532b, "set_pages_array_wb" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x3b774eb9, "drm_gem_vm_close" },
	{ 0x2d6cd451, "drm_gem_vm_open" },
	{ 0x51f61df3, "drm_gem_object_release" },
	{ 0x3258b4b0, "ww_mutex_lock" },
	{ 0x30282207, "vmap" },
	{ 0x12470ca2, "drm_gem_handle_create" },
	{ 0x97d1eb1, "__drm_dev_dbg" },
	{ 0xc3541422, "drm_prime_pages_to_sg" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcc7197d8, "dma_buf_vunmap" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x987eb8ce, "shmem_truncate_range" },
	{ 0x6c0bf3ab, "set_pages_array_wc" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0xff017904, "dma_map_sgtable" },
	{ 0xb489908, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8124f67, "dma_unmap_sg_attrs" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0x4488ec2e, "drm_gem_put_pages" },
	{ 0xf6f41d81, "drm_gem_private_object_fini" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0x79352a7, "drm_prime_gem_destroy" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
MODULE_INFO(rhelversion, "9.6");
