#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x084e8b73, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0xbb3d0496, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x705005f7, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x1b17685c, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0x9e616819, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0x351e6eec, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0xf09ab9ad, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x09a1ea07, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0x5521928b, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0xeb3fdeb2, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x6dd8b6aa, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x63fb1d61, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0x6475a0b5, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x7bba90ff, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x4ef251f3, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x25a5e619, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0x8df44d51, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0xa32d01c1, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x11854ccf, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0x000e9012, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0xba3e624e, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x374105a1, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x3d02aa86, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe0e6897e, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x185d46d5, "clear_user_rep_good" },
	{ 0x54044fc9, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9f1451a5, "__init_rwsem" },
	{ 0xa07682c1, "misc_deregister" },
	{ 0x273d2b3f, "iommu_device_claim_dma_owner" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf113a05f, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x169e7aa5, "iommu_group_get" },
	{ 0xfd3ed744, "pin_user_pages_remote" },
	{ 0x280c684f, "iommu_iova_to_phys" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0x5c6eed53, "finish_wait" },
	{ 0xac4ffe4, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x716973df, "fget" },
	{ 0xaaac12e8, "__put_task_struct" },
	{ 0xa4051e31, "__xas_next" },
	{ 0xe58d81e0, "xas_find" },
	{ 0x546f01c8, "iommu_dev_disable_feature" },
	{ 0x21e06505, "unpin_user_pages" },
	{ 0xa674af8a, "fd_install" },
	{ 0xbe171a3, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x17b97c5, "unpin_user_page_range_dirty_lock" },
	{ 0xba7e5540, "pcpu_hot" },
	{ 0x600ff18e, "__account_locked_vm" },
	{ 0x592ecfd1, "prepare_to_wait_event" },
	{ 0xfeb55974, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x79ea262b, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x2fe72689, "__tracepoint_mmap_lock_released" },
	{ 0x5d8220f2, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xf9deef61, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xc8cbdf21, "iommu_detach_group_handle" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xad4ddbf7, "iommu_detach_group" },
	{ 0x45a41382, "iommu_paging_domain_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0e52e56, "clear_user_original" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x341299ee, "iommu_dev_enable_feature" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x72dfca05, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x14ed656d, "fput" },
	{ 0x231b97a0, "down_write" },
	{ 0xfbcf15ee, "iommu_domain_free" },
	{ 0xa2dcf3cb, "up_write" },
	{ 0x3bcb7ab3, "iommu_get_msi_cookie" },
	{ 0xfc2e208d, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xd7070975, "iommu_unmap" },
	{ 0x833d543f, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x2f34e0f5, "xas_load" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xbecab81f, "clear_user_erms" },
	{ 0xaa2ba344, "iommu_attach_handle_get" },
	{ 0x6c480daa, "iommu_replace_group_handle" },
	{ 0x6799cb1b, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb578fc5, "memset" },
	{ 0x5bf8ca20, "_dev_warn" },
	{ 0x3c66fa2e, "misc_register" },
	{ 0x737b510e, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x221f2d98, "__init_waitqueue_head" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0xd3e605c7, "iommu_put_resv_regions" },
	{ 0xed541359, "down_read" },
	{ 0x54b17956, "__mmdrop" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0x88175420, "__xa_cmpxchg" },
	{ 0x5a8f82bf, "nonseekable_open" },
	{ 0x1d4dca83, "xa_erase" },
	{ 0x571a842c, "__mmap_lock_do_trace_start_locking" },
	{ 0xaf3e6396, "iommu_get_resv_regions" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8174323e, "mmput" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0xb1d8bc3f, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x5ecf35a1, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0x6651ac84, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x81e511a1, "__mmap_lock_do_trace_released" },
	{ 0x1bc585cf, "xa_store" },
	{ 0x1ff60cee, "set_page_dirty_lock" },
	{ 0x867e1545, "device_iommu_capable" },
	{ 0x1f15fe65, "xas_nomem" },
	{ 0x67857680, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x104fad85, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf583c384, "iommu_attach_group_handle" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0x63aa6a8e, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xbec67647, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x9426b58d, "up_read" },
	{ 0x6d6b94db, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x745abce9, "pci_bus_type" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CED0C71DF85C71142FAB765");
MODULE_INFO(rhelversion, "9.6");
