#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x6e7070b2, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x2c087e9e, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x4e75ba8b, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x73b23783, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x9341bbd1, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xe001ed2f, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38bb4a81, "mdiobus_alloc_size" },
	{ 0xe341dec6, "__tracepoint_xdp_exception" },
	{ 0x31982811, "xsk_tx_completed" },
	{ 0xbfaa7aa9, "napi_alloc_skb" },
	{ 0x820e97c6, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1a02d50, "xp_alloc" },
	{ 0xc842b817, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf1b672af, "bpf_prog_put" },
	{ 0x51191e78, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xfb17c071, "xp_dma_map" },
	{ 0x69342a33, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xad4672a1, "devm_kmalloc" },
	{ 0x91b0eaf3, "eth_mac_addr" },
	{ 0x9c8bc55b, "skb_put" },
	{ 0x2eae4ec6, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xee5149d, "netdev_update_features" },
	{ 0x9d720e77, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa9280279, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf3d55626, "hrtimer_try_to_cancel" },
	{ 0x7d491bd0, "bpf_warn_invalid_xdp_action" },
	{ 0x1114a35c, "unregister_netdev" },
	{ 0x1a405618, "xdp_convert_zc_to_xdp_frame" },
	{ 0x68f28994, "xdp_features_set_redirect_target" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0xcc5f5e48, "dma_unmap_page_attrs" },
	{ 0x8a49ce7f, "hrtimer_init" },
	{ 0x637e994c, "skb_add_rx_frag" },
	{ 0xb035eab, "get_device_system_crosststamp" },
	{ 0x65017d3b, "ptp_clock_index" },
	{ 0x65e3a457, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xba7e5540, "pcpu_hot" },
	{ 0x96e65d19, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xde5f48f7, "page_pool_destroy" },
	{ 0x4e27f487, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x757f4d9f, "netdev_warn" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x79ea262b, "__wake_up" },
	{ 0x2eeae7ce, "flow_rule_match_ipv4_addrs" },
	{ 0x4ef05250, "xdp_rxq_info_unreg_mem_model" },
	{ 0x473eed76, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x67a751c8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6ad869fb, "phylink_limit_mac_speed" },
	{ 0x6f98a159, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xbe03aec8, "dev_driver_string" },
	{ 0x6685233f, "pinctrl_pm_select_default_state" },
	{ 0xd6e5f70f, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xfa0e55ec, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5799b7a6, "__pm_runtime_set_status" },
	{ 0xd864b243, "dma_map_page_attrs" },
	{ 0x509d7e19, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xbe5caf6b, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x61f9cbb, "pm_wakeup_dev_event" },
	{ 0x3389381a, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc90364b, "__napi_schedule" },
	{ 0xaa1fe4c3, "pm_runtime_enable" },
	{ 0xa2a59cd8, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x7f04ca6d, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6627c4f4, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xa4003254, "rt_write_unlock" },
	{ 0x995b1c9b, "_dev_info" },
	{ 0xc186ffd9, "xpcs_create_mdiodev" },
	{ 0xcbdbe9e4, "napi_gro_receive" },
	{ 0x6bb51fbf, "netif_device_attach" },
	{ 0x796a6322, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x5569f8b9, "netdev_pick_tx" },
	{ 0x594fc760, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x89806bc3, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7d295013, "xdp_rxq_info_is_reg" },
	{ 0x9dacd7c8, "devm_alloc_etherdev_mqs" },
	{ 0xfca620f6, "flow_block_cb_setup_simple" },
	{ 0xbdf7e49d, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0xf7bce8c1, "dev_open" },
	{ 0x514c8a96, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x9fc3d659, "_dev_err" },
	{ 0xbae94c98, "xpcs_destroy" },
	{ 0x50984d76, "pinctrl_pm_select_sleep_state" },
	{ 0xf4a641a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5d696a15, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x68e0fbae, "ptp_clock_register" },
	{ 0x857ea7f, "xp_dma_sync_for_cpu_slow" },
	{ 0xf98f6fd7, "xsk_tx_peek_desc" },
	{ 0xf7944eb8, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x4ed0eaff, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xddd9ea34, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x9446f043, "dma_alloc_attrs" },
	{ 0x396f78fc, "debugfs_remove" },
	{ 0x68c9cd13, "napi_enable" },
	{ 0x4fd2347a, "xsk_clear_rx_need_wakeup" },
	{ 0x4bab41c6, "xpcs_get_interfaces" },
	{ 0xfc0e2c24, "xsk_uses_need_wakeup" },
	{ 0xf150db71, "register_netdev" },
	{ 0xc8061577, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb30835c3, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x79be0041, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x11f7261d, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xd1bcfecf, "__SCK__tp_func_xdp_exception" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xb9a7c967, "netif_tx_wake_queue" },
	{ 0x7ddbee82, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8b78745f, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x5bf8ca20, "_dev_warn" },
	{ 0xe7c393ca, "flow_rule_match_ports" },
	{ 0x2fae78c2, "phylink_fwnode_phy_connect" },
	{ 0x100e1ec9, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x72e55371, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xcdfabe8a, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x65b4f3e7, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x221f2d98, "__init_waitqueue_head" },
	{ 0x9ab42787, "ptp_clock_unregister" },
	{ 0x24639f7a, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0x594cd0a7, "xpcs_get_an_mode" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3b3839c6, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa7919d0, "xdp_return_frame_rx_napi" },
	{ 0x5dc62516, "netdev_alert" },
	{ 0x9e1ddfb9, "dma_set_coherent_mask" },
	{ 0xbe3e3058, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x81955a54, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x3114acfe, "rt_read_lock" },
	{ 0x3850e58f, "debugfs_rename" },
	{ 0x52e99b1f, "debugfs_create_file" },
	{ 0x51a9fec4, "xsk_set_tx_need_wakeup" },
	{ 0xe1480537, "dma_free_attrs" },
	{ 0xd7c77889, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6db52077, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xadc2c344, "xp_set_rxq_info" },
	{ 0xf5144fee, "flow_rule_match_vlan" },
	{ 0xaafe114d, "xdp_rxq_info_unreg" },
	{ 0x450501f0, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x49c5681f, "__xdp_rxq_info_reg" },
	{ 0x982a86ec, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa368858b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3ac90dd, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xf6b26bfb, "mdiobus_get_phy" },
	{ 0x10ebbeed, "netif_carrier_on" },
	{ 0xb8b41087, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x7a2315aa, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd9041f6a, "hrtimer_cancel" },
	{ 0x9ab89fbd, "xp_free" },
	{ 0xafc019c1, "single_release" },
	{ 0x2943a3a7, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xd6a96753, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0xf06704ea, "xdp_master_redirect" },
	{ 0x2052a4ec, "fwnode_handle_put" },
	{ 0x98cae3f0, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0xbcf009e3, "napi_schedule_prep" },
	{ 0x627d005b, "napi_disable" },
	{ 0xb0465219, "dev_kfree_skb_any_reason" },
	{ 0x3eb0c65c, "eth_header_parse_protocol" },
	{ 0xdca0402a, "param_ops_int" },
	{ 0x2caec124, "single_open" },
	{ 0x6379d26f, "__pm_runtime_disable" },
	{ 0x75b4188a, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7379ec6e, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6d6b94db, "__mutex_rt_init" },
	{ 0xd98176d5, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc6ca371b, "ethtool_op_get_ts_info" },
	{ 0x5961c29, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8043b7f8, "__dev_fwnode" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0xfbf3094, "netdev_info" },
	{ 0x2637a2d6, "page_pool_put_unrefed_page" },
	{ 0xd3e75897, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "2BBB73C3BC82288040E2149");
MODULE_INFO(rhelversion, "9.6");
