#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x7548ae6a, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xe73f75ff, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x14e41e3d, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x02677391, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xacd0e8c0, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xf953b47c, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xc012d717, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x2f9f9d48, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xcf42e43a, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xb96e73ce, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x14edb0d5, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xdcbc242e, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xe829feef, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xee21fa17, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xac211fed, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x46b7b707, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0xad3d4871, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0xe7dd7c3c, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xef6b1f48, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x70c6e910, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x8dda096d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f042a6f, "mdiobus_write" },
	{ 0x3c54ccbb, "mdiobus_read" },
	{ 0xef0a7af2, "phy_write_mmd" },
	{ 0xac9f96f1, "phy_modify" },
	{ 0x9fb5aec0, "phy_trigger_machine" },
	{ 0x9ce5be56, "phy_error" },
	{ 0x82d749f9, "phy_modify_changed" },
	{ 0xdaf5327, "genphy_update_link" },
	{ 0x5f7cb131, "genphy_read_lpa" },
	{ 0x2071af73, "phy_resolve_aneg_pause" },
	{ 0x5fa0906e, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9fc3d659, "_dev_err" },
	{ 0xae7ae5ac, "phy_read_mmd" },
	{ 0x13bdcfe4, "ethnl_cable_test_result" },
	{ 0xec36cbfa, "ethnl_cable_test_fault_length" },
	{ 0x629ad155, "phy_modify_mmd" },
	{ 0x59c28cab, "genphy_soft_reset" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
