#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x3dabfd69, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x29895768, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xc255c770, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xd7865b4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x59576f31, "__skb_checksum_complete" },
	{ 0x7d90d8, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x69342a33, "skb_copy_bits" },
	{ 0xc3d90da0, "__nlmsg_put" },
	{ 0x77bda430, "netdev_adjacent_change_commit" },
	{ 0x91b0eaf3, "eth_mac_addr" },
	{ 0x9c8bc55b, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7ceb6295, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x58cb0a2a, "ip6_dst_hoplimit" },
	{ 0xb22d0306, "param_ops_ushort" },
	{ 0x9d720e77, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x920751de, "udp_sock_create4" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0xe4f05431, "udp_tunnel6_xmit_skb" },
	{ 0x893ceee1, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xc5908f7f, "__unregister_nexthop_notifier" },
	{ 0xd98be744, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xba7e5540, "pcpu_hot" },
	{ 0x5db2eac3, "eth_validate_addr" },
	{ 0x86e660c3, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x41480fd9, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x38119ce6, "rtnl_create_link" },
	{ 0x36b7ad9e, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x72590f1c, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x73c4db0, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x25e636d4, "udp_tunnel_drop_rx_port" },
	{ 0x761337bf, "pskb_expand_head" },
	{ 0xe9fafd68, "netdev_upper_dev_link" },
	{ 0xb4674159, "register_pernet_subsys" },
	{ 0x37280cb6, "netdev_core_stats_alloc" },
	{ 0xfa0e55ec, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xec864f07, "__alloc_skb" },
	{ 0xa649bc80, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x2994433e, "eth_gro_complete" },
	{ 0x3709b0d3, "rtnl_set_sk_err" },
	{ 0x286961cc, "eth_gro_receive" },
	{ 0x98c1c325, "rtnl_configure_link" },
	{ 0xcff54dce, "skb_tunnel_check_pmtu" },
	{ 0x6a53c33d, "udp_tunnel_dst_lookup" },
	{ 0xd8f258e4, "rtnl_unicast" },
	{ 0x242f63a4, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x2ab571a6, "__skb_get_hash_net" },
	{ 0x81bd3447, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x35d8f474, "__dev_get_by_index" },
	{ 0x84cb216c, "rtnl_link_unregister" },
	{ 0x46681c45, "ipv6_stub" },
	{ 0xf4a641a, "skb_pull" },
	{ 0x2f12361a, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65069ade, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xf7777985, "dev_get_by_index_rcu" },
	{ 0x5307c15d, "gro_cells_receive" },
	{ 0x5fdcc5e1, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x2cce5205, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xe27fb2e3, "free_netdev" },
	{ 0x8c36a207, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x6cc61c74, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x2e91dd37, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x11f7261d, "ethtool_op_get_link" },
	{ 0x421b414d, "nexthop_find_by_id" },
	{ 0x34863060, "arp_create" },
	{ 0x14480ee0, "__ethtool_get_link_ksettings" },
	{ 0xb04fad12, "netdev_adjacent_change_prepare" },
	{ 0x3c03a70d, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x33db32d5, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3666f3d6, "rhashtable_free_and_destroy" },
	{ 0x1339c74c, "rht_bucket_nested_insert" },
	{ 0xf5465975, "netdev_adjacent_change_abort" },
	{ 0x6d948e5c, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x771d68cf, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd3ed386b, "__iptunnel_pull_header" },
	{ 0x4eced4ec, "__pskb_pull_tail" },
	{ 0x9901e8c7, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x6a9f4ffe, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbacced35, "rhashtable_destroy" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0x8470d95b, "setup_udp_tunnel_sock" },
	{ 0xb61e5c75, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9fd15d78, "skb_trim" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3b3839c6, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbfd45867, "skb_scrub_packet" },
	{ 0x8047a443, "nexthop_select_path" },
	{ 0x22c68f22, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3eb82de8, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x98968d77, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb1d8bc3f, "param_ops_bool" },
	{ 0x18bf1c47, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4e494848, "rtnl_notify" },
	{ 0x80bb6fcb, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4a77ff5e, "__netif_rx" },
	{ 0xd5802378, "skb_clone" },
	{ 0x3230edef, "metadata_dst_alloc" },
	{ 0xf77cc49c, "dst_release" },
	{ 0x69026da7, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xba7665a9, "udp_tunnel_notify_del_rx_port" },
	{ 0x117bf13a, "register_nexthop_notifier" },
	{ 0xb6b62420, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x54868d8f, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0xfbf3094, "netdev_info" },
	{ 0x1340b373, "neigh_lookup" },
	{ 0xa83abe49, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd565e380, "register_netdevice" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "BB37D63BC97FB7A0303C0CC");
MODULE_INFO(rhelversion, "9.6");
