#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xfe1cedda, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x8fb16369, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x6d272c98, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xde671a84, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x581840a8, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x491c973e, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x151183ff, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xff979842, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x729fa2af, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x9e20aa77, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xc1eb6321, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x6bb33466, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x4d6a2f59, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x246f5380, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x6852f928, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x9c4b54bf, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x0fb8b889, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xcf51b2fb, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x16522bf7, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x36e628b3, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x5f298e65, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x8a002371, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xed04e144, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x992e941d, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xf43c0974, "_gpl");
SYMBOL_CRC(nvme_get_features, 0xac41987b, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xf23ca556, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xb5c1ce68, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x5f0d941c, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xe0f0a846, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xf8bcf2ab, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x096febd8, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x2e209688, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x674a320c, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x90d84f10, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xddaffba8, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xa4411097, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x82705cf9, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x0c8b2475, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xe3e55b2f, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xbd96e2a0, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x7093f0a6, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xbc8eddbc, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x9a248e46, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xa82605be, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x26e8341e, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x614a8f9f, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x7cd969cb, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xa0a6a451, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x371866df, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xce1ebf28, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x6ab0a778, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x44b7f18c, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x2f7b084a, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x16d3700c, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xd8841622, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x9f31418a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x07466817, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xec4a79bc, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x40dc44ec, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x97c12f80, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x898a1418, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x880477e0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda8a9972, "set_capacity_and_notify" },
	{ 0x14bd6f02, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe6b1675, "set_disk_ro" },
	{ 0xfe432dc2, "__blk_alloc_disk" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x52cff727, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xae4b58fa, "bio_integrity_map_user" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x69410b86, "device_remove_file_self" },
	{ 0xc5aa5a1f, "param_ops_uint" },
	{ 0xba747f9b, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd35aee95, "dev_set_name" },
	{ 0x63162f69, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x8ff281a3, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xe2a6a11a, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x454726, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x19004d0e, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x4b86d81a, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0x5c6eed53, "finish_wait" },
	{ 0x581cba83, "queue_limits_stack_bdev" },
	{ 0xd1dc3673, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xc08d39ef, "device_initialize" },
	{ 0x15a6830d, "blk_mq_unquiesce_queue" },
	{ 0x1a4610ab, "blk_mq_quiesce_queue" },
	{ 0x342c96bb, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9f982dad, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xba7e5540, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x41045629, "bpf_trace_run2" },
	{ 0x592ecfd1, "prepare_to_wait_event" },
	{ 0xd4daa050, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x79ea262b, "__wake_up" },
	{ 0xaacba7f7, "event_triggers_call" },
	{ 0x85d1d5be, "synchronize_srcu" },
	{ 0x51b43a4, "param_ops_byte" },
	{ 0x7d1494b8, "kmem_cache_create" },
	{ 0x6923e741, "get_device" },
	{ 0xf9b071ab, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3d2407fd, "__blk_mq_alloc_disk" },
	{ 0x661b2259, "__dynamic_dev_dbg" },
	{ 0x2a1832eb, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcf171b1b, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdb96623d, "blk_mq_alloc_tag_set" },
	{ 0x8772de2c, "blk_rq_is_poll" },
	{ 0xa50fbb77, "trace_event_buffer_commit" },
	{ 0xd88c2e3f, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xc7428977, "mempool_create" },
	{ 0xe89e3c5d, "put_disk" },
	{ 0xf766675d, "crypto_alloc_kpp" },
	{ 0xc3c7a053, "cdev_device_add" },
	{ 0x4aa130d, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x5d615adf, "blk_execute_rq" },
	{ 0x9bafe130, "put_device" },
	{ 0xe9ee6e55, "trace_event_ignore_this_pid" },
	{ 0xa849c82a, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x7ca7756a, "kmalloc_node_trace" },
	{ 0xb68e0b85, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2674a1f5, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xf1ad37b1, "__free_pages" },
	{ 0x995b1c9b, "_dev_info" },
	{ 0x21828533, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x40f220f6, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x67b12af6, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd8627ed, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2e64997b, "compat_ptr_ioctl" },
	{ 0xe8c8ecb, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x39121e5b, "blk_mq_quiesce_tagset" },
	{ 0xa2d5a437, "key_put" },
	{ 0x7c6b7ebf, "kobject_uevent_env" },
	{ 0x143b3873, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x23e980ca, "init_srcu_struct" },
	{ 0x66d064c5, "perf_trace_run_bpf_submit" },
	{ 0x5530282d, "__SCK__tp_func_block_bio_remap" },
	{ 0x9fc3d659, "_dev_err" },
	{ 0xc1507371, "blk_revalidate_disk_zones" },
	{ 0xdf973278, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa442607d, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8414946e, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x679891c8, "sysfs_remove_link" },
	{ 0xffd739c2, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe31f64b7, "__srcu_read_lock" },
	{ 0xd1910847, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x5837714a, "submit_bio_noacct" },
	{ 0x833d543f, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0x3a641911, "blk_sync_queue" },
	{ 0xfc0fd505, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x2f67a41c, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xf5307f12, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcdb9350a, "blk_mq_alloc_request_hctx" },
	{ 0x66dd276c, "__io_uring_cmd_do_in_task" },
	{ 0xad41b126, "blk_mq_alloc_request" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x871630bb, "crypto_shash_update" },
	{ 0xd159e2dc, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x8a13bd2d, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcc830f09, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x60f2c233, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x4af4cf34, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x77e40c10, "blk_put_queue" },
	{ 0xa8e94277, "bpf_trace_run1" },
	{ 0x2cd647d9, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x5bf8ca20, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xbc21f8da, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x221f2d98, "__init_waitqueue_head" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0x7567657a, "io_uring_cmd_done" },
	{ 0xb36285db, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x1d4dca83, "xa_erase" },
	{ 0x22adcebf, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x214965b6, "blk_mq_complete_request" },
	{ 0xf399c0ea, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5040480, "trace_event_buffer_reserve" },
	{ 0x1957cba9, "crypto_shash_final" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb1d8bc3f, "param_ops_bool" },
	{ 0xa0d94e5d, "blk_mq_destroy_queue" },
	{ 0x4f4ae627, "xa_destroy" },
	{ 0x61cb1580, "blk_freeze_queue_start" },
	{ 0x1aaddad8, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x5ecf35a1, "xa_find" },
	{ 0xa738b896, "alloc_pages" },
	{ 0xde3ee23d, "mempool_destroy" },
	{ 0x4725a445, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x80d14b56, "__tracepoint_block_bio_complete" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x1bc585cf, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf7ae4704, "__srcu_read_unlock" },
	{ 0x20d02e1, "__tracepoint_block_bio_remap" },
	{ 0x13f352a3, "blk_mq_unfreeze_queue" },
	{ 0x3600f34f, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x4de130f8, "queue_limits_commit_update" },
	{ 0x990b6b4d, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf615a5ba, "blk_rq_map_user_iov" },
	{ 0x63aa6a8e, "xa_find_after" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0xb1131b6e, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xf91502e3, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8859ce74, "crypto_alloc_shash" },
	{ 0xd399b6b0, "blk_mq_freeze_queue_wait" },
	{ 0x9a1a4905, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe1e86e2d, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6d6b94db, "__mutex_rt_init" },
	{ 0xbec3c7c0, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3eb541a3, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x23c7af7f, "bdev_end_io_acct" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x86731cd9, "blk_steal_bios" },
	{ 0xbdcdeb60, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "2BA69199F63A00110B3BD1F");
MODULE_INFO(rhelversion, "9.6");
