#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x123aa35f, "");
SYMBOL_CRC(sas_remove_host, 0x89190ba5, "");
SYMBOL_CRC(sas_get_address, 0xfa762aa4, "");
SYMBOL_CRC(sas_tlr_supported, 0x03eb0eaa, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x647403a8, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xb6b1e3ae, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x9f652a26, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x375fc7cc, "");
SYMBOL_CRC(sas_phy_add, 0x0b8f2507, "");
SYMBOL_CRC(sas_phy_free, 0x0f7232e9, "");
SYMBOL_CRC(sas_phy_delete, 0xc1689f1d, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x22fe57f4, "");
SYMBOL_CRC(sas_port_alloc, 0x97dff756, "");
SYMBOL_CRC(sas_port_alloc_num, 0x34ce24a1, "");
SYMBOL_CRC(sas_port_add, 0x2e4c1414, "");
SYMBOL_CRC(sas_port_free, 0xa53b4388, "");
SYMBOL_CRC(sas_port_delete, 0xfe26d937, "");
SYMBOL_CRC(scsi_is_sas_port, 0xa8236eca, "");
SYMBOL_CRC(sas_port_get_phy, 0x8110b697, "");
SYMBOL_CRC(sas_port_add_phy, 0xa07a353f, "");
SYMBOL_CRC(sas_port_delete_phy, 0x28d263fd, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x5d556ec9, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xe284e89a, "");
SYMBOL_CRC(sas_end_device_alloc, 0xf3296355, "");
SYMBOL_CRC(sas_expander_alloc, 0xed3a7bfe, "");
SYMBOL_CRC(sas_rphy_add, 0x82a38908, "");
SYMBOL_CRC(sas_rphy_free, 0xb19778dc, "");
SYMBOL_CRC(sas_rphy_delete, 0x58eb5d20, "");
SYMBOL_CRC(sas_rphy_unlink, 0x819af4f7, "");
SYMBOL_CRC(sas_rphy_remove, 0x05d5a2c4, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xb38cf918, "");
SYMBOL_CRC(sas_attach_transport, 0xaea53c58, "");
SYMBOL_CRC(sas_release_transport, 0xd7bf45e6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e97f0cd, "attribute_container_register" },
	{ 0x679891c8, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb4474d93, "dev_printk" },
	{ 0x1d8cebb1, "scsi_get_vpd_page" },
	{ 0xd08683c8, "scsi_mode_sense" },
	{ 0xc7eb2261, "attribute_container_unregister" },
	{ 0x3d9fbfea, "scsi_remove_host" },
	{ 0x5c1df466, "bsg_remove_queue" },
	{ 0xf830b720, "scsi_remove_target" },
	{ 0x736e72c6, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5bf8ca20, "_dev_warn" },
	{ 0x31cabb9c, "bsg_job_done" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0x6d6b94db, "__mutex_rt_init" },
	{ 0x72cd0c46, "dma_opt_mapping_size" },
	{ 0xc08d39ef, "device_initialize" },
	{ 0xd35aee95, "dev_set_name" },
	{ 0x88ad40bc, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x55cd79fa, "device_for_each_child" },
	{ 0x9bafe130, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xa442607d, "device_add" },
	{ 0x8594544f, "transport_add_device" },
	{ 0x9dcb86bb, "transport_configure_device" },
	{ 0x2cd647d9, "device_del" },
	{ 0x270a1b71, "transport_destroy_device" },
	{ 0xf1f68fb6, "transport_remove_device" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0x6923e741, "get_device" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0x67b12af6, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x513f031e, "scsi_scan_target" },
	{ 0x2d65917c, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x7253addb, "transport_class_register" },
	{ 0x56ef7e34, "transport_class_unregister" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "176C35C46ED21A5F600B01B");
MODULE_INFO(rhelversion, "9.6");
