#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x58db5f05, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x1b34e348, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x449c1167, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x934b7ed4, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x80e0c060, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0xd9267306, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0xa09b4fce, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x651283b2, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xd3564d7e, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x5006bb34, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x9f20bfe8, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0xf6e59134, "");
SYMBOL_CRC(vfio_unpin_pages, 0x22c393b6, "");
SYMBOL_CRC(vfio_dma_rw, 0x314ad95d, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x922118fd, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x64e60114, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x20a2f508, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x2212d5ce, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x99174f3a, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xe18655c4, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x636267e8, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x7e164aa6, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0x1f8319d4, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0x094561aa, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0xf461a7c3, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0x38227bac, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x4672a7e1, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0xd062f331, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0xfac4afc5, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0xccdea3b5, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0xb52e9189, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x927c39b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xba3e624e, "iommufd_vfio_compat_ioas_get_id" },
	{ 0x7bba90ff, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x52cff727, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x54044fc9, "anon_inode_getfile" },
	{ 0x9f1451a5, "__init_rwsem" },
	{ 0xa07682c1, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x6dd8b6aa, "iommufd_access_detach" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd35aee95, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x4b86d81a, "cdev_device_del" },
	{ 0x169e7aa5, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0x56390eb1, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x148cc2d2, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xc08d39ef, "device_initialize" },
	{ 0x351e6eec, "iommufd_device_attach" },
	{ 0xa674af8a, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ef251f3, "iommufd_access_pin_pages" },
	{ 0xba7e5540, "pcpu_hot" },
	{ 0x7d632c29, "add_wait_queue" },
	{ 0x11854ccf, "iommufd_ctx_from_fd" },
	{ 0x6475a0b5, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x661b2259, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x374105a1, "iommufd_vfio_compat_set_no_iommu" },
	{ 0x3d02aa86, "iommufd_vfio_compat_ioas_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xc3c7a053, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bafe130, "put_device" },
	{ 0xa32d01c1, "iommufd_ctx_from_file" },
	{ 0x995b1c9b, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0x40f220f6, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2e64997b, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x14ed656d, "fput" },
	{ 0x231b97a0, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xa2dcf3cb, "up_write" },
	{ 0xa442607d, "device_add" },
	{ 0x833d543f, "xa_load" },
	{ 0x63fb1d61, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x145bf7db, "class_create" },
	{ 0x84e8b73, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x25a5e619, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2cd647d9, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x5bf8ca20, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0xeb3fdeb2, "iommufd_access_destroy" },
	{ 0x3c66fa2e, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xed541359, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0x88175420, "__xa_cmpxchg" },
	{ 0x9e616819, "iommufd_device_to_id" },
	{ 0x1b17685c, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd7c77889, "__pm_runtime_resume" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0xb1d8bc3f, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x4f4ae627, "xa_destroy" },
	{  0xe9012, "iommufd_ctx_put" },
	{ 0x5521928b, "iommufd_access_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x9a1ea07, "iommufd_device_detach" },
	{ 0x867e1545, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x705005f7, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbb3d0496, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x8e10a502, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x9426b58d, "up_read" },
	{ 0x6d6b94db, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xd98176d5, "__pm_runtime_idle" },
	{ 0x3eb541a3, "cdev_init" },
	{ 0xf09ab9ad, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x83882666, "eventfd_ctx_fileget" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0xa6fec089, "iommu_group_remove_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "4BD27DE9BCFB8AA71B190BC");
MODULE_INFO(rhelversion, "9.6");
