#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x647d6170, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0x8c31b6bf, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0xe1841c2c, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x41691df9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x52cff727, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9f1451a5, "__init_rwsem" },
	{ 0xa07682c1, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd975099a, "config_group_init" },
	{ 0x39179186, "idr_find" },
	{ 0xb7b13249, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6f1fffa5, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21252cb, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0x5c6eed53, "finish_wait" },
	{ 0x312acbb0, "config_item_get" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe262c1c, "kernel_bind" },
	{ 0xae262eec, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd5023fd3, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x210c1a15, "kset_unregister" },
	{ 0xba7e5540, "pcpu_hot" },
	{ 0x96e65d19, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x114e78ca, "kernel_kobj" },
	{ 0x7d632c29, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbdc39618, "__tracepoint_sk_data_ready" },
	{ 0x56b438e4, "call_srcu" },
	{ 0x592ecfd1, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x79ea262b, "__wake_up" },
	{ 0x85d1d5be, "synchronize_srcu" },
	{ 0x849de29b, "kernel_accept" },
	{ 0x4e7481ed, "kernel_recvmsg" },
	{ 0x7d1494b8, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcb851a13, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd5e3c8b8, "configfs_unregister_subsystem" },
	{ 0x4c949438, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x29bc328a, "locks_lock_inode_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x44cd1603, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xec864f07, "__alloc_skb" },
	{ 0x15958def, "locks_init_lock" },
	{ 0x13629252, "kernel_sendpage" },
	{ 0x527d3e12, "idr_get_next" },
	{ 0xf1ad37b1, "__free_pages" },
	{ 0xa4003254, "rt_write_unlock" },
	{ 0x76e51bf0, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x40f220f6, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x231b97a0, "down_write" },
	{ 0xa40a60cc, "init_net" },
	{ 0xa2dcf3cb, "up_write" },
	{ 0xf5734e51, "simple_open" },
	{ 0x9f856377, "configfs_register_subsystem" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xfcc70acc, "configfs_remove_default_groups" },
	{ 0xe31f64b7, "__srcu_read_lock" },
	{ 0xcaf5a6bf, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x65069ade, "sk_skb_reason_drop" },
	{ 0x94a3f9d7, "netlink_unicast" },
	{ 0xd406264b, "noop_llseek" },
	{ 0x8d332c4b, "__SCK__tp_func_sk_data_ready" },
	{ 0xce116a46, "config_group_init_type_name" },
	{ 0x34af46e5, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0x73e97d83, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x396f78fc, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x70e3c358, "seq_putc" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1e046cc, "panic" },
	{ 0xd69d3821, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2e91dd37, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdc8c4ca4, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x348b8d42, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2d0fa53b, "idr_destroy" },
	{ 0xe9936216, "default_llseek" },
	{ 0x4101cc35, "sock_set_reuseaddr" },
	{ 0xfb578fc5, "memset" },
	{ 0x3c66fa2e, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x221f2d98, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0xed541359, "down_read" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa3afcaf, "kthread_create_on_node" },
	{ 0xbe3e3058, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6e793516, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3114acfe, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x52e99b1f, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0x8402ca66, "config_item_init_type_name" },
	{ 0xdf9c6be3, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xa738b896, "alloc_pages" },
	{ 0xde1a3dfe, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x982a86ec, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ac90dd, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf7ae4704, "__srcu_read_unlock" },
	{ 0xb8b41087, "rt_write_lock" },
	{ 0x74af8eff, "kobject_uevent" },
	{ 0x3045dc2d, "sock_release" },
	{ 0xbd08292e, "seq_puts" },
	{ 0x34aa8aa, "remove_wait_queue" },
	{ 0xafc019c1, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4d4a6bf7, "tcp_sock_set_nodelay" },
	{ 0x884d39e, "seq_open" },
	{ 0x7898d003, "genl_unregister_family" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x2caec124, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x75b4188a, "debugfs_create_dir" },
	{ 0x1660222e, "genl_register_family" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9426b58d, "up_read" },
	{ 0x6d6b94db, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0xfb3c2e38, "sock_bind_add" },
	{ 0xa7563f86, "locks_copy_lock" },
	{ 0xbdcdeb60, "kmem_cache_destroy" },
	{ 0xa83abe49, "release_sock" },
	{ 0xe1412e70, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3c521aeb, "kobject_put" },
	{ 0x27c4e20a, "sock_set_keepalive" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "483A5B3CBB8424B49C197A1");
MODULE_INFO(rhelversion, "9.6");
