#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x96e1b039, "");
SYMBOL_CRC(bt_sock_register, 0xadb346ca, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x7f47ff31, "");
SYMBOL_CRC(bt_sock_link, 0x7d76343c, "");
SYMBOL_CRC(bt_sock_unlink, 0x215cc5a1, "");
SYMBOL_CRC(bt_accept_enqueue, 0x10161024, "");
SYMBOL_CRC(bt_accept_unlink, 0x51de88ba, "");
SYMBOL_CRC(bt_accept_dequeue, 0xc697e1be, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x0db34acf, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0xc44ce841, "");
SYMBOL_CRC(bt_sock_poll, 0xe882623b, "");
SYMBOL_CRC(bt_sock_ioctl, 0xcb8521a8, "");
SYMBOL_CRC(bt_sock_wait_state, 0x5bc5f25f, "");
SYMBOL_CRC(bt_sock_wait_ready, 0xa82e26b3, "");
SYMBOL_CRC(bt_procfs_init, 0xe89aa861, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x8bc95857, "");
SYMBOL_CRC(bt_debugfs, 0x092ab346, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x5b69b9af, "");
SYMBOL_CRC(hci_free_dev, 0x6c4cc703, "");
SYMBOL_CRC(hci_register_dev, 0xbac91e3f, "");
SYMBOL_CRC(hci_unregister_dev, 0x52ea3843, "");
SYMBOL_CRC(hci_release_dev, 0xbf59e776, "");
SYMBOL_CRC(hci_suspend_dev, 0x24fe9819, "");
SYMBOL_CRC(hci_resume_dev, 0x8e9a6616, "");
SYMBOL_CRC(hci_reset_dev, 0xcab6777a, "");
SYMBOL_CRC(hci_recv_frame, 0x51d3a657, "");
SYMBOL_CRC(hci_recv_diag, 0x2702682c, "");
SYMBOL_CRC(hci_set_hw_info, 0x58651fbc, "");
SYMBOL_CRC(hci_set_fw_info, 0xe8c11ac7, "");
SYMBOL_CRC(hci_register_cb, 0x171d206f, "");
SYMBOL_CRC(hci_unregister_cb, 0xa9c50089, "");
SYMBOL_CRC(__hci_cmd_send, 0x152e2318, "");
SYMBOL_CRC(hci_get_route, 0x85896175, "");
SYMBOL_CRC(hci_conn_security, 0xd3a3fadc, "");
SYMBOL_CRC(hci_conn_check_secure, 0x4b133248, "");
SYMBOL_CRC(hci_conn_switch_role, 0xc79f6841, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xbd5d8a91, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x10c8b33a, "");
SYMBOL_CRC(l2cap_add_psm, 0x94335a25, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x6b420817, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xb23e319f, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0xfe10471c, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xd85889c6, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x248bd55f, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xf746d3ee, "");
SYMBOL_CRC(l2cap_register_user, 0x480f6ff2, "");
SYMBOL_CRC(l2cap_unregister_user, 0xba922822, "");
SYMBOL_CRC(l2cap_conn_get, 0x49982725, "");
SYMBOL_CRC(l2cap_conn_put, 0xac6f4a2a, "");
SYMBOL_CRC(l2cap_chan_send, 0x36aededf, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x1f1ddd60, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x8923dae4, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x3bc8e5e6, "");
SYMBOL_CRC(__hci_cmd_sync, 0x4a58d1f9, "");
SYMBOL_CRC(hci_cmd_sync, 0xcc20a28c, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x4676b5e8, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x565e79eb, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x0dd6b473, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xb3e557a0, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x5421a582, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x4f2ed5f4, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x08fc48bd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x4f34525c, "skb_free_datagram" },
	{ 0xa7f8a868, "sock_queue_rcv_skb_reason" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x52cff727, "try_module_get" },
	{ 0xc15a0fe, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x83e87331, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x39179186, "idr_find" },
	{ 0x3a9b5252, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x9c8bc55b, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xd35aee95, "dev_set_name" },
	{ 0xb8bb8ffd, "scm_detach_fds" },
	{ 0x5b7fea9e, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x4ca3cf05, "device_unregister" },
	{ 0x5f29138d, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0x338fac16, "debugfs_create_u16" },
	{ 0x5c6eed53, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x56390eb1, "class_destroy" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x69f8bff, "add_wait_queue_exclusive" },
	{ 0xc08d39ef, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xba7e5540, "pcpu_hot" },
	{ 0x96e65d19, "seq_lseek" },
	{ 0x7d632c29, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb57c4d4a, "sock_no_connect" },
	{ 0x592ecfd1, "prepare_to_wait_event" },
	{ 0xab9e10be, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x79ea262b, "__wake_up" },
	{ 0x3ce36978, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x6923e741, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xa78fd799, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc5bdc605, "__put_cred" },
	{ 0xb062709d, "put_cmsg" },
	{ 0x4d7d37b2, "skb_queue_purge_reason" },
	{ 0xd88c2e3f, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xf766675d, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x5a6d685f, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x439108e0, "sock_register" },
	{ 0xb58fbd6b, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x9bafe130, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xec864f07, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x527d3e12, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xa4003254, "rt_write_unlock" },
	{ 0xdd180190, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x37856238, "skb_queue_tail" },
	{ 0x40f220f6, "module_put" },
	{ 0xff667679, "__sock_recv_ts_and_drops" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x5a49d188, "debugfs_attr_read" },
	{ 0xf3edc4d0, "__sock_recv_timestamp" },
	{ 0xd45ab739, "sock_no_shutdown" },
	{ 0xb68221a1, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xaf497de0, "crypto_req_done" },
	{ 0xa40a60cc, "init_net" },
	{ 0xdf973278, "crypto_shash_setkey" },
	{ 0xf5734e51, "simple_open" },
	{ 0xf4a641a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa442607d, "device_add" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0xd266f354, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbb2e5053, "init_uts_ns" },
	{ 0x65069ade, "sk_skb_reason_drop" },
	{ 0xe55820fd, "sk_free" },
	{ 0x145bf7db, "class_create" },
	{ 0xc1288177, "device_move" },
	{ 0xdf20d4d5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb4be5fbb, "mutex_lock" },
	{ 0x5fdcc5e1, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x7ede279d, "sock_no_listen" },
	{ 0x396f78fc, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x70e3c358, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xda78d322, "iov_iter_kvec" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2e91dd37, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d44ecd9, "device_find_child" },
	{ 0x57483161, "skb_copy_datagram_iter" },
	{ 0x55251e93, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x56325fc, "sk_alloc" },
	{ 0x2cd647d9, "device_del" },
	{ 0xe91a6601, "__sock_queue_rcv_skb" },
	{ 0x2d0fa53b, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xe9936216, "default_llseek" },
	{ 0x2b60822, "__sock_recv_wifi_status" },
	{ 0x8c5d203e, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xccfb4a8f, "sock_no_socketpair" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x7f7a693, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3c1efb4f, "sock_no_mmap" },
	{ 0x221f2d98, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x4eced4ec, "__pskb_pull_tail" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0x873eec7a, "__scm_destroy" },
	{ 0x19c69245, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x9fd15d78, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0xe1c4d2ee, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbe3e3058, "seq_read" },
	{ 0x3114acfe, "rt_read_lock" },
	{ 0x15116205, "sock_i_ino" },
	{ 0x52e99b1f, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xff282521, "rfkill_register" },
	{ 0x4bca300c, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xfd90d36e, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb1d8bc3f, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x875b4ff, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf88d3642, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x982a86ec, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x801fbae1, "remove_proc_entry" },
	{ 0xc16ac109, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ac90dd, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa31427b, "skb_copy" },
	{ 0xd5802378, "skb_clone" },
	{ 0xb8b41087, "rt_write_lock" },
	{ 0xf37a89f0, "_copy_from_iter" },
	{ 0xedc3346b, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x34aa8aa, "remove_wait_queue" },
	{ 0xbd08292e, "seq_puts" },
	{ 0x9aa1a04f, "sock_gettstamp" },
	{ 0xafc019c1, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6198d512, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xacce9b3d, "from_kuid_munged" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xa2e906b4, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x88e0a770, "proc_create_seq_private" },
	{ 0xd2890fee, "debugfs_create_u8" },
	{ 0x2caec124, "single_open" },
	{ 0x8859ce74, "crypto_alloc_shash" },
	{ 0x75b4188a, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xa71029dc, "fwnode_property_read_u8_array" },
	{ 0x6d6b94db, "__mutex_rt_init" },
	{ 0x5545b949, "put_pid" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5afc5992, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8043b7f8, "__dev_fwnode" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa83abe49, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xff448cc8, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "97331FA9B4FDF9787D87304");
MODULE_INFO(rhelversion, "9.6");
