#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x62a55f8b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0xd66918f2, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0xd17ac4ce, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xc15c4a08, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0xb64b11c1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xc233f2af, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xd41bcbfa, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xde51a66b, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x56fc09fe, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x6c5061fc, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x0cde6248, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x1abf141d, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x4fa3e708, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x8f5d4bc4, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x74119821, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xa1eae396, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x671c724b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x815cf21f, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xeb8d4535, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xd053ec2e, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x580b04f8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x66d064c5, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5040480, "trace_event_buffer_reserve" },
	{ 0xa50fbb77, "trace_event_buffer_commit" },
	{ 0xaacba7f7, "event_triggers_call" },
	{ 0xe9ee6e55, "trace_event_ignore_this_pid" },
	{ 0x454726, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0xd1dc3673, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa8e94277, "bpf_trace_run1" },
	{ 0x41045629, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb5d2e40, "rt_mutex_base_init" },
	{ 0xb61e5c75, "udp_sock_create6" },
	{ 0x34af46e5, "kernel_sock_shutdown" },
	{ 0x3045dc2d, "sock_release" },
	{ 0xdf9c6be3, "sock_create_kern" },
	{ 0xe262c1c, "kernel_bind" },
	{ 0x41f70710, "kernel_connect" },
	{ 0x920751de, "udp_sock_create4" },
	{ 0x4312f8a7, "register_pernet_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xc4ae8b2b, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7e21cc02, "kmalloc_caches" },
	{ 0xbf4728d3, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6934a54e, "rt_spin_lock" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x7fa3c856, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x39179186, "idr_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e772f2b, "idr_get_next_ul" },
	{ 0xb8b41087, "rt_write_lock" },
	{ 0xa4003254, "rt_write_unlock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xba7e5540, "pcpu_hot" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x65069ade, "sk_skb_reason_drop" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe55820fd, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f29138d, "skb_dequeue" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x37856238, "skb_queue_tail" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3114acfe, "rt_read_lock" },
	{ 0x982a86ec, "rt_read_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa4463f06, "ip_queue_xmit" },
	{ 0x761337bf, "pskb_expand_head" },
	{ 0xa16d8d6b, "udp_set_csum" },
	{ 0xc8aea58f, "inet6_csk_xmit" },
	{ 0x71f22fc7, "udp6_set_csum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xf77cc49c, "dst_release" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x2d0fa53b, "idr_destroy" },
	{ 0xd950825f, "idr_alloc_u32" },
	{ 0xef7426b3, "sockfd_lookup" },
	{ 0x2e91dd37, "lock_sock_nested" },
	{ 0xa83abe49, "release_sock" },
	{ 0xde594840, "idr_replace" },
	{ 0x14ed656d, "fput" },
	{ 0x8470d95b, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4eced4ec, "__pskb_pull_tail" },
	{ 0xf5307f12, "trace_event_reg" },
	{ 0x342c96bb, "trace_event_raw_init" },
	{ 0xc8abadee, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel,ipv6");


MODULE_INFO(srcversion, "AD5370426481A2B1381957D");
MODULE_INFO(rhelversion, "9.6");
